IProcess (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.templatewizard.process.IProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.templatewizard.process
Interface IProcess

All Known Implementing Classes:
  AbstractProcess, AbstractProjectProcess, CopyFiles, CopyFilesAndFormatAsCpp, CopyFilesAndUpdateSymbianOSProjectFiles, CopyFileTree, CreateFolders, CreateRezId, CreateTemplateVariable, NewProject, OpenFileInEditor

    public interface IProcess

Represents a process specified as a <process> element in a template xml file, and executed after successful completion of the wizard specified by the template.
Classes implementing this interface require a 0-argument public constructor, and will be instantiated separately for each process element existing in a template xml file.
State can be shared between processes through the `Map` returned from ``ITemplate.getTemplateValues()``

Method Summary
`boolean` | `mustRunInUIThread()` This method is called before executing this process, to determine whether it should be executed in the UI thread.
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Method Detail

### process

    void process(ITemplate template,
                 java.util.List<IParameter> parameters,
                 IProgressMonitor monitor)
                 throws CoreException

  The main method called to execute this process.

  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

### mustRunInUIThread

    boolean mustRunInUIThread()

  This method is called before executing this process, to determine whether it should be executed in the UI thread.

  Returns:
    `true` to ensure this process is executed in the UI thread.
  See Also:
    `org.eclipse.swt.widgets.Display#syncExec(Runnable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD